IF EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'BackupInfo')) AND (name = 'type'))  ALTER TABLE BackupInfo DROP COLUMN type
GO
alter Table BackupInfo Add type int 
GO

IF EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'menu')) AND (name = 'userIntercept'))  ALTER TABLE menu DROP COLUMN userIntercept
GO
alter Table menu Add userIntercept int 
GO

IF EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'menu')) AND (name = 'interceptNums'))  ALTER TABLE menu DROP COLUMN interceptNums
GO
alter Table menu Add interceptNums int 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_board_isDuplicated]'))
ALTER TABLE [dbo].[board] DROP CONSTRAINT DF_board_isDuplicated
GO

IF EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'board')) AND (name = 'isDuplicated'))  ALTER TABLE board DROP COLUMN isDuplicated
GO
alter Table board Add isDuplicated int 
GO

IF EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'board')) AND (name = 'duplicateFrom'))  ALTER TABLE board DROP COLUMN duplicateFrom
GO
alter Table board Add duplicateFrom varchar(100) 
GO

IF EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'board')) AND (name = 'duplicatedPkId'))  ALTER TABLE board DROP COLUMN duplicatedPkId
GO
alter Table board Add duplicatedPkId int 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_news_isDuplicated]'))
ALTER TABLE [dbo].[news] DROP CONSTRAINT DF_news_isDuplicated
GO

IF EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'news')) AND (name = 'isDuplicated'))  ALTER TABLE news DROP COLUMN isDuplicated
GO
alter Table news Add isDuplicated int 
GO

IF EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'news')) AND (name = 'duplicateFrom'))  ALTER TABLE news DROP COLUMN duplicateFrom
GO
alter Table news Add duplicateFrom varchar(100)
GO

IF EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'news')) AND (name = 'duplicatedPkId'))  ALTER TABLE news DROP COLUMN duplicatedPkId
GO
alter Table news Add duplicatedPkId int 
GO

IF EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'artDesignTemplate')) AND (name = 'hotImageVar'))  ALTER TABLE artDesignTemplate DROP COLUMN hotImageVar
GO
alter Table artDesignTemplate Add hotImageVar varchar(100)
GO

IF EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'artDesign')) AND (name = 'hotImageVar'))  ALTER TABLE artDesign DROP COLUMN hotImageVar
GO
alter Table artDesign Add hotImageVar varchar(100)
GO